Subject: [bug#40264] Linphone: 12-add-belle-sip-v2

From: "Raghav Gururajan" <[email-masked]>
Date: Thu, 02 Apr 2020 17:19:29 +0000

Hi Danny!

>> belle-sip is not reproducible.
> 
> Nice catch!
> 
>> I'm not saying that this is a blocker for merging, but basically libbellesip.so (and
>> libbellesip.so.0) doesn't always come out the same. Spooky.
> 
> Yeah, that is really is spooky. I even disabled the tests as it required network access. Is it
> possible that there are multiple values set for any environment variable, and it uses different
> values randomly during each build?

I suspect it could be due to having two different definitions for bctoolbox and ortp. Could you try belle-sip after applying the patch http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40326

Regards,
RG.